Skip to main content
PUT
/
business_entity_roe_authorizations
/
{roe_authorization}
Update a business entity ROE authorization
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/business_entity_roe_authorizations/{roe_authorization} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "Updated note for the ROE authorization."
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/business_entity_roe_authorizations/{roe_authorization}"

payload = { "note": "Updated note for the ROE authorization." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: 'Updated note for the ROE authorization.'})
};

fetch('https://sandbox.nmbr.co/services/payroll/business_entity_roe_authorizations/{roe_authorization}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "roe_authorization",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "status": "processing",
    "note": "Updated note for the ROE authorization.",
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/business_entity_roe_authorizations/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

roe_authorization
string
required

Body

application/json
note
string | null
Maximum string length: 1000

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("roe_authorization").

data
Business Entity Roe Authorization · object